org.apache.struts2.el.lang

## Class VariableMapperImpl

- java.lang.Object
- - javax.el.VariableMapper
  - - org.apache.struts2.el.lang.VariableMapperImpl

- All Implemented Interfaces:
    Externalizable, Serializable

      public class VariableMapperImpl
      extends javax.el.VariableMapper
      implements Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableMapperImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readExternal(ObjectInput in)`
    `javax.el.ValueExpression` | `resolveVariable(String variable)`
    `javax.el.ValueExpression` | `setVariable(String variable, javax.el.ValueExpression expression)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMapperImpl

          public VariableMapperImpl()

  - ### Method Detail

    - #### resolveVariable

          public javax.el.ValueExpression resolveVariable(String variable)

      Specified by:
        `resolveVariable` in class `javax.el.VariableMapper`

    - #### setVariable

          public javax.el.ValueExpression setVariable(String variable,
                                                      javax.el.ValueExpression expression)

      Specified by:
        `setVariable` in class `javax.el.VariableMapper`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.